Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.gui.page
Class ArticlePage

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Column
              ch.uzh.ifi.attempto.acewiki.gui.page.WikiPage
                  ch.uzh.ifi.attempto.acewiki.gui.page.ArticlePage

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, nextapp.echo2.app.event.ActionListener, nextapp.echo2.app.RenderIdSupport

Direct Known Subclasses:
  ConceptPage, IndividualPage, RolePage

    public abstract class ArticlePage

extends WikiPage
implements nextapp.echo2.app.event.ActionListener

This class stands for a wiki page that represents an ontology element and shows the article of this ontology element.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Column
`PROPERTY_BORDER, PROPERTY_CELL_SPACING, PROPERTY_INSETS`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`protected` | `ArticlePage(Wiki wiki, OntologyElement ontologyElement)` Creates a new article page.

Method Summary
`void` | `actionPerformed(nextapp.echo2.app.event.ActionEvent e)`
`static ArticlePage` | `create(OntologyElement oe, Wiki wiki)` Creates an article page for the given ontology element.
`protected void` | `doUpdate()` Updates the page content.
`abstract void` | `edit(Sentence sentence)` This method is called when the user requests to edit a sentence of the article.
`boolean` | `equals(java.lang.Object obj)`
`abstract OntologyElement` | `getOntologyElement()` Returns the ontology element of this article page.
`boolean` | `isExpired()` Checks if the page has expired.
`java.lang.String` | `toString()`

Methods inherited from class ch.uzh.ifi.attempto.acewiki.gui.page.WikiPage
`addHeadline, addHorizontalLine, addSelectedTab, addTab, addTab, getTitle, getWiki, log, update`

Methods inherited from class nextapp.echo2.app.Column
`getBorder, getCellSpacing, getInsets, setBorder, setCellSpacing, setInsets`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setRenderId, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArticlePage

    protected ArticlePage(Wiki wiki,
                          OntologyElement ontologyElement)

  Creates a new article page.

  Parameters:
    `wiki` - The wiki instance.
    `ontologyElement` - The ontology element whose article should be shown.

Method Detail

### create

    public static ArticlePage create(OntologyElement oe,
                                     Wiki wiki)

  Creates an article page for the given ontology element.

  Parameters:
    `oe` - The ontology element for which an article page should be created.
    `wiki` - The wiki instance.
  Returns:
    The new article page.

### getOntologyElement

    public abstract OntologyElement getOntologyElement()

  Returns the ontology element of this article page.

  Returns:
    The ontology element.

### edit

    public abstract void edit(Sentence sentence)

  This method is called when the user requests to edit a sentence of the article. This method opens then the respective sentence editor window.

  Parameters:
    `sentence` - The sentence of the article that should be edited.

### doUpdate

    protected void doUpdate()

  Description copied from class: `WikiPage`
  Updates the page content.

  Overrides:
    `doUpdate` in class `WikiPage`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `WikiPage`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isExpired

    public boolean isExpired()

  Description copied from class: `WikiPage`
  Checks if the page has expired. A page has expired it represents an ontology element that has been deleted.

  Overrides:
    `isExpired` in class `WikiPage`
  Returns:
    true if the page has expired.

### actionPerformed

    public void actionPerformed(nextapp.echo2.app.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `nextapp.echo2.app.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)